64-bit compilation on Ubuntu-Natty -- build-dep script misses two dependencies

Austin English austinenglish at gmail.com
Sun Dec 19 22:21:03 CST 2010

On Sun, Dec 19, 2010 at 8:10 PM, cheer_xiao <xiaqqaix at gmail.com> wrote:
> Hi Susan,
> On Dec 19, 2010 8:59 PM, "Susan Cragin" <susancragin at earthlink.net> wrote:
>> I'm compiling from git onto 64-bit Natty, which is in Alpha.
>> Wine's apt-get build-dep script seems to be missing the following.
>> configure: OpenCL 32-bit development files not found, OpenCL won't be
>> supported.
>> configure: gstreamer-0.10 base plugins 32-bit development files not found,
>> gstreamer support disabled
>> I was able to find gstreamer but did not find any development files for
>> OpenCL in the Ubuntu repository. I did install this:
>> python-pyopencl
>> but still got the warning.
>> I know it's too early to mention this, since Natty's still in Alpha.
> I'm running Ubuntu Lucid and have this problem too. As with Natty, Lucid's
> repo has development files for gstreamer, but installing them doesn't
> eliminate the warning about gstreamer. Lucid's repo doesn't contain dev
> files for OpenCL, either. If I'm not mistaken support for OpenCL was added
> recently, as I didn't get that warning several weeks ago.
> I guess this problem could be solved simply by compiling some packages and
> passing some arguments to ./configure, but as a newbie I'm too looking
> forward to an answer.

For gstreamer, you probably need libgstreamer-plugins-base0.10-dev and

For OpenCL, afaik, there is no open source package yet. I believe
there are packages from Nvidia/Apple and possibly others, but don't
quote me on that.


More information about the wine-devel mailing list